Subject: 25.0.93; default paper size assumed from LANG locale setting -- use LC_PAPER
From: René Genz <[email-masked]>
To: [email-masked]
Date: Sun, 15 May 2016 22:53:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear sir or madam,

if you want to have English language for text and paper size "A4" on
GNU/Linux as default you can set locale setting to:
LANG=en_US.UTF-8
LC_PAPER=de_DE.UTF-8

This works fine for other applications.
Emacs assumes default paper size from LANG, not LC_PAPER.

Please, use LC_PAPER to assume default paper size, if no (user or
system)option is set.

To reproduce:
1. execute in terminal: LANG=en_US.UTF-8 emacs
2. in Emacs: C-h v ps-paper-type
    value is: letter
3. close Emacs
4. in terminal execute: LANG=de_DE.UTF-8 emacs
5. in Emacs: C-h v ps-paper-type
    value is: a4
6. value of LC_PAPER does not matter

I am using Fedora 24 x86_64 to write up the bug report.
I can reproduce this with other versions of Emacs on different GNU/Linux
distributions, f.e. Emacs 24.3.1 on Trisquel 7.0 x86_64.

I can work around the problem with:
a) system setting
(setq ps-paper-type (quote a4)))
in /usr/share/emacs/site-lisp/site-start.el

b) user setting
in ${HOME}/.emacs
(customize in Emacs with: C-h v ps-paper-type)

In GNU Emacs 25.0.93.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.20.3)
  of 2016-05-03 built on buildhw-12.phx2.fedoraproject.org

-- 
Kind regards,
René